View Issue Details

IDProjectCategoryView StatusLast Update
0004059Kali LinuxQueued Tool Additionpublic2024-04-21 10:04
Reporterisox Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionreopened 
Summary0004059: getsploit - vulnersCom
Description

Hi!
I'd like to submit getsploit - new console exploit search and download utility.

https://github.com/vulnersCom/getsploit

What's the difference to searchsploit?
1) It supports multiple exploit databases using vulners.com
2) Search using Lucene syntax
3) Only online

Attached Files

Activities

isox

isox

2017-06-08 14:42

reporter   ~0006804

v0.2 pulished.
I've added offline search.
Now with --update key it will download whole Vulners exploit collection to the PC for offline searches.
DB gathering url - https://vulners.com/api/v3/archive/getsploit/

g0tmi1k

g0tmi1k

2018-01-29 14:57

administrator   ~0008398

To help speed up the process of evaluating the tool, please make sure to include the following information (the more information you include, the more beneficial it will for us):

  • [Name] - The name of the tool
  • [Version] - What version of the tool should be added?
    --- If it uses source control (such as git), please make sure there is a release to match (e.g. git tag)
  • [Homepage] - Where can the tool be found online? Where to go to get more information?
  • [Download] - Where to go to get the tool?
  • [Author] - Who made the tool?
  • [Licence] - How is the software distributed? What conditions does it come with?
  • [Description] - What is the tool about? What does it do?
  • [Dependencies] - What is needed for the tool to work?
  • [Similar tools] - What other tools are out there?
  • [How to install] - How do you compile it?
  • [How to use] - What are some basic commands/functions to demonstrate it?
isox

isox

2018-01-30 08:04

reporter   ~0008560

[Name] - getsploit
[Version] - 0.2.1
[Homepage] - https://vulners.com, https://github.com/vulnersCom/getsploit
[Download] - https://github.com/vulnersCom/getsploit/releases/tag/0.2.1
[Author] - Kir 'isox' Ermakov <[email protected]>
[Licence] - LGPL-3.0
[Description] -
Command line search and download tool for Vulners Database inspired by searchsploit. It allows you to search online for the exploits across all the most popular collections: Exploit-DB, Metasploit, Packetstorm and others. The most powerful feature is immediate exploit source download right in your working path.
[Dependencies] - Python2 or Python3
[Similar tools] - searchsploit
[How to install] -

git clone https://github.com/vulnersCom/getsploit

cd getsploit

./getsploit.py wordpress 4.7.0

[How to use] - https://asciinema.org/a/ObuaXdpxNO0nAo6o821fLCLxZ?autoplay=1

Search Exploits:

./getsploit.py wordpress 4.7.0

Save exploit files:

./getsploit.py -m wordpress 4.7.0

Download local database:

./getsploit.py --update

isox

isox

2018-08-04 05:33

reporter   ~0009419

Ping?

elwood

elwood

2018-08-05 04:43

administrator   ~0009421

Sorry, if this requires an account to operate we won't want to add. Please re-open if this does function without an account.

isox

isox

2018-08-05 04:49

reporter   ~0009422

It does not require any kind of account to operate.
It can be used as online and as offline tool (there is "download database locally" option).

g0tmi1k

g0tmi1k

2018-08-06 10:21

administrator   ~0009424

Looks like on 7th June 2017, it got offline support added ~ https://github.com/vulnersCom/getsploit/commit/45653d957b7cb7fabad169db64de9d1a0f107c0a

We can re-evaluate this tool now

isox

isox

2018-08-30 05:56

reporter   ~0009545

Yo! Any updates?

isox

isox

2018-09-18 08:42

reporter   ~0009741

Ping)

g0tmi1k

g0tmi1k

2018-09-18 08:55

administrator   ~0009742

There isn't any update.
We are currently working on some internal policies.

g0tmi1k

g0tmi1k

2019-12-09 13:28

administrator   ~0011621

Last edited: 2020-01-06 13:21

@kali-team, please could this be packaged up.
@author, If you want to help the packaging process, you can check the documentation here ~ https://www.kali.org/docs/development/public-packaging

Arszilla

Arszilla

2024-04-21 10:04

reporter   ~0019170

Packaged and ready for review: https://gitlab.com/Arszilla/getsploit

Issue History

Date Modified Username Field Change
2017-06-04 17:38 isox New Issue
2017-06-04 17:38 isox File Added: Screen Shot 2017-06-04 at 16.31.05.png
2017-06-08 14:42 isox Note Added: 0006804
2018-01-29 14:24 g0tmi1k Summary Tool submission: getsploit => getsploit
2018-01-29 14:57 g0tmi1k Note Added: 0008398
2018-01-30 08:04 isox Note Added: 0008560
2018-02-05 14:34 g0tmi1k Summary getsploit => getsploit - vulnersCom
2018-08-04 05:33 isox Note Added: 0009419
2018-08-05 04:43 elwood Status new => closed
2018-08-05 04:43 elwood Resolution open => no change required
2018-08-05 04:43 elwood Note Added: 0009421
2018-08-05 04:49 isox Status closed => feedback
2018-08-05 04:49 isox Resolution no change required => reopened
2018-08-05 04:49 isox Note Added: 0009422
2018-08-06 10:21 g0tmi1k Note Added: 0009424
2018-08-06 10:24 g0tmi1k Status feedback => acknowledged
2018-08-30 05:56 isox Note Added: 0009545
2018-09-18 08:42 isox Note Added: 0009741
2018-09-18 08:55 g0tmi1k Note Added: 0009742
2019-12-09 13:28 g0tmi1k Status acknowledged => new
2019-12-09 13:28 g0tmi1k Category New Tool Requests => Queued Tool Addition
2019-12-09 13:28 g0tmi1k Note Added: 0011621
2019-12-10 11:57 g0tmi1k Severity minor => feature
2020-01-06 13:07 g0tmi1k Status new => acknowledged
2020-01-06 13:21 g0tmi1k Note Edited: 0011621
2020-06-17 14:58 g0tmi1k Severity feature => minor
2024-04-21 10:04 Arszilla Note Added: 0019170